<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class OtcPaymentLog extends Model
{
    use HasFactory;

    public function client()
    {
        return $this->belongsTo(Client::class,'client_id','id');
    }



    public function billpayment()
    {
        return $this->belongsTo(Billpayment::class,'payment_id','id');
    }

    public function user()
    {
        return $this->belongsTo(User::class,'admin_user_id','id');
    }

    public function employee()
    {
        return $this->belongsTo(Employee::class,'employee_id','id');
    }
}
